jQuery(document).ready(function($){
	"use script";
	var ajaxurl = ajaxobject.ajaxurl;
	$('.vcautoresponderaddon_autoresponder').submit(function(e){
		e.preventDefault();
		$(this).parent().prev().prev('.vcautoresponderaddon_loader').fadeIn();
		var field = $(this).serializeArray();
		var req = '';
		var msg = '';
		var bool = false;
		var data = {};
		for(var i = 0; i < field.length; i++){
			req = $(this).find("input[name="+field[i].name+"]").attr('data-req');
			msg = $(this).find("input[name="+field[i].name+"]").attr('data-error-msg');
			$(this).find("input[name="+field[i].name+"]").next('span').html('');
			switch(req){
				case 'name':
					if(field[i].value == ''){
						$(this).find("input[name="+field[i].name+"]").next('span').html(msg);
						bool = true;
					}
				break;
				case 'email':
					if(field[i].value == ''){
						$(this).find("input[name="+field[i].name+"]").next('span').html(msg);
						bool = true;
					}
					if(!isValidEmailAddress(field[i].value)){
						$(this).find("input[name="+field[i].name+"]").next('span').html(msg);
						bool = true;
					}
				break;
				case 'custom':
					if(field[i].value == ''){
						$(this).find("input[name="+field[i].name+"]").next('span').html(msg);
						bool = true;
					}
				break; 
			}
			data[field[i].name] = field[i].value;
		} 
		if(bool == false){
			var obj = $(this);
			data['listid'] = $(this).find('.vcautoresponder_listid').val();
			if($(this).find('.autoresponder').val() == 'Aweber'){
				data['action'] = 'vcautoresponderaddon_awebersubmit';
				autoresponder(data, obj);
			}else if($(this).find('.autoresponder').val() == 'Mailchimp'){
				data['action'] = 'vcautoresponderaddon_mailchimpsubmit';
				autoresponder(data, obj);
			}else if($(this).find('.autoresponder').val() == 'Getresponse'){
				data['action'] = 'vcautoresponderaddon_getresponsesubmit';
				autoresponder(data, obj);
			}else if($(this).find('.autoresponder').val() == 'Constant Contact'){
				data['action'] = 'vcautoresponderaddon_constantcontactsubmit';
				autoresponder(data, obj);
			}else if($(this).find('.autoresponder').val() == 'iContact'){
				data['action'] = 'vcautoresponderaddon_icontactsubmit';
				autoresponder(data, obj);
			}else{
				
			}
		}else{
			$(this).parent().prev().prev('.vcautoresponderaddon_loader').fadeOut();
		}
	});
 	function autoresponder(data, obj){
		$.ajax({ 
			method: "POST",
			url: ajaxurl,
			data: data,
			success: function(result){
				console.log(result);
				var result = jQuery.parseJSON(result);
				if(!result.error){
					obj.next('.autoresponderaddon_submit_msg').show();
					var videoid = obj.parent('.vcautoresponderaddon_mainform').prev('.vcautoresponderaddon_overlay').prev('.vcautoresponderaddon_loader').prev('.vcautoresponderaddon_videoiframe').attr('id');
					
					if(videoid != undefined){
						obj.parent('.vcautoresponderaddon_mainform').hide();
						obj.parent('.vcautoresponderaddon_mainform').prev('.vcautoresponderaddon_overlay').hide();
						var div = document.getElementById(videoid);
						var iframe = div.getElementsByTagName("iframe")[0].contentWindow;
						iframe.postMessage('{"event":"command","func":"' + 'playVideo' + '","args":""}', '*');
					}
				}else{
					obj.next('.autoresponderaddon_submit_msg').find('p').css({'background-color':'#870A0A'});
					obj.next('.autoresponderaddon_submit_msg').find('p').text(result.error);
					obj.next('.autoresponderaddon_submit_msg').show();
				}
				obj.parent().prev().prev('.vcautoresponderaddon_loader').fadeOut();
			}
		});
 	}
	
	function isValidEmailAddress(emailAddress) {
		var pattern = new RegExp(/^(("[\w-+\s]+")|([\w-+]+(?:\.[\w-+]+)*)|("[\w-+\s]+")([\w-+]+(?:\.[\w-+]+)*))(@((?:[\w-+]+\.)*\w[\w-+]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$)|(@\[?((25[0-5]\.|2[0-4][\d]\.|1[\d]{2}\.|[\d]{1,2}\.))((25[0-5]|2[0-4][\d]|1[\d]{2}|[\d]{1,2})\.){2}(25[0-5]|2[0-4][\d]|1[\d]{2}|[\d]{1,2})\]?$)/i);
		return pattern.test(emailAddress);
	}
	
});