<div class="vcautoresponderaddon_wrapper">
<div class="vcautoresponderaddon_name">
	<h1><?php esc_html_e('Visual Composer Autoresponder Addon','vcara'); ?></h1>
</div>
<div class="vcautoresponderaddon_bottom_section">
	<div class="vcautoresponderaddon_top_tabs">
		<ul class="vcautoresponderaddon_tab_menu">
			<li class="active"><a href="#vcautoresponderaddontab"><?php esc_html_e('Aweber','vcara'); ?></a></li>
			<li><a href="#vcmailchimptab"><?php esc_html_e('Mailchimp','vcara'); ?></a></li>
			<li><a href="#vcgetresponsetab"><?php esc_html_e('GetResponse','vcara'); ?></a></li>
			<li><a href="#vcconstantcontacttab"><?php esc_html_e('Constant Contact','vcara'); ?></a></li>
			<li><a href="#vcicontacttab"><?php esc_html_e('iContact','vcara'); ?></a></li>
			<li><a href="#vcsettingtab"><?php esc_html_e('Setting','vcara'); ?></a></li>
		</ul>
		<div id="main-vcautoresponderaddon-container" class="vcautoresponderaddon_main_content_section">
			<div class="vcautoresponderaddon_tab_container" id="vcautoresponderaddontab">
				<div class="vcautoresponderaddon_tabs_box">
					
						<div class="vcautoresponderaddon_main_heading">
							<h2><?php esc_html_e('Aweber','vcara'); ?> <span><?php esc_html_e('Developer API Setting','vcara'); ?></span></h2>
						</div>
						<div class="vcautoresponderaddon_right_section">
							<div class="vcautoresponderaddon_input_section">
								<label><?php esc_html_e('Authentication Code','vcara'); ?></label>
								<?php $authinfoCODE = get_option('vcaweber_authinfoCODE'); ?>
								<textarea id="vcaweber_apikey" name="vcaweber_apikey" rows="5" cols="70" ><?php echo esc_html($authinfoCODE); ?></textarea>
								<span class="vcerror_span"></span>
								<a target="_blank" href="https://auth.aweber.com/1.0/oauth/authorize_app/1900a757" class="vcmsg_anchor"><?php esc_html_e('Click here to get your authorization code.','vcara'); ?></a>
								
							</div>
							<div class="vcautoresponderaddon_input_section">
								<!--<button class="btn_cancel">Cancel</button>-->
								<button class="btn_submit vcaweber_authcodebtn"><?php esc_html_e('Save','vcara'); ?></button>
								<p class="vcaa_successmsg"></p>
								<div class="vcautoresponderaddon_loading" ></div>
							</div>
						</div>
					
				</div>
			</div>
			<div class="vcautoresponderaddon_tab_container" id="vcmailchimptab" style="display: none;">
				<div class="vcautoresponderaddon_tabs_box">
					
					<div class="vcautoresponderaddon_main_heading">
						<h2><?php esc_html_e('Mailchimp','vcara'); ?><span><?php esc_html_e('Developer API Setting','vcara'); ?></span></h2>
					</div>
					<div class="vcautoresponderaddon_right_section">
						<?php $mailchimpapikey = get_option('vcmailchimp_apikey'); ?>
						<div class="vcautoresponderaddon_input_section">
							<label><?php esc_html_e('Mailchimp Api Key','vcara'); ?></label>
							<input type="text" name="vcmailchimp_apikey" id="vcmailchimp_apikey" placeholder="Mailchimp Api Key" value="<?php echo esc_attr($mailchimpapikey); ?>">
							<span class="vcerror_span"></span>
						</div>
						<div class="vcautoresponderaddon_input_section">
							<button class="btn_submit" id="vcmailchimp_apikeysave"><?php esc_html_e('Save','vcara'); ?></button>
							<p class="vcaa_successmsg"></p>
							<div class="vcautoresponderaddon_loading"></div>
						</div>						
					</div>
					
				</div>
			</div>
			<div class="vcautoresponderaddon_tab_container" id="vcgetresponsetab" style="display: none;">
				<div class="vcautoresponderaddon_tabs_box">
					
					<div class="vcautoresponderaddon_main_heading">
						<h2><?php esc_html_e('GetResponse','vcara'); ?> <span><?php esc_html_e('Developer API Setting','vcara'); ?></span></h2>
					</div>
					<div class="vcautoresponderaddon_right_section">
						<?php $getresponseapikey = get_option('vcgetresponse_apikey'); ?>
						<div class="vcautoresponderaddon_input_section">
							<label><?php esc_html_e('GetResponse Api Key','vcara'); ?></label>
							<input type="text" name="vcgetresponse_apikey" id="vcgetresponse_apikey" placeholder="GetResponse Api Key" value="<?php echo esc_attr($getresponseapikey); ?>">
							<span class="vcerror_span"></span>
						</div>
						<div class="vcautoresponderaddon_input_section">
							<button class="btn_submit" id="vcgetresponse_apikeysave"><?php esc_html_e('Save','vcara'); ?></button>
							<p class="vcaa_successmsg"></p>
							<div class="vcautoresponderaddon_loading"></div>
						</div>
					</div> 
					
				</div> 
			</div>
			<!--constant contact tab start--->
			<div class="vcautoresponderaddon_tab_container" id="vcconstantcontacttab" style="display: none;">
				<div class="vcautoresponderaddon_tabs_box">
					 
					<div class="vcautoresponderaddon_main_heading">
						<h2><?php esc_html_e('Constant Contact','vcara'); ?> <span><?php esc_html_e('Developer API Setting','vcara'); ?></span></h2>
					</div>
					<div class="vcautoresponderaddon_right_section">
						<?php $constantcontactapikey = get_option('vcconstantcontact_apikey'); 
						$vcconstantcontact_secrete = get_option('vcconstantcontact_secrete'); 
						$vcconstantcontact_token = get_option('vcconstantcontact_token'); 
						?>
						<div class="vcautoresponderaddon_input_section">
							<label><?php esc_html_e('Enter Api Key','vcara'); ?></label>
							<input type="text" name="vcconstantcontact_username" id="vcconstantcontact_username" placeholder="API Key" value="<?php echo esc_attr($constantcontactapikey); ?>"><span class="vcerror_span"></span>				
						</div>
						
						<div class="vcautoresponderaddon_input_section">
							<label><?php esc_html_e('Enter Secret Key','vcara'); ?></label>
							<input type="text" name="vcconstantcontact_password" id="vcconstantcontact_password" placeholder="Secret Key" value="<?php echo esc_attr($vcconstantcontact_secrete); ?>"> 
							<span class="vcerror_span"></span>
						</div>
						
						<div class="vcautoresponderaddon_input_section">
							<label><?php esc_html_e('Enter Token','vcara'); ?></label>
							<input type="text" name="vcconstantcontact_token" id="vcconstantcontact_token" placeholder="Token" value="<?php echo esc_attr($vcconstantcontact_token); ?>"> 
							<span class="vcerror_span"></span>
						</div>
						<a href="javascript:;" id="vc_cc_token" redirect-url="<?php echo plugin_dir_url( __FILE__ ).'generate-token.php'; ?>">generate token</a>
						<div class="vcautoresponderaddon_input_section">
							<button class="btn_submit" id="vcconstantcontact_apikeysave"><?php esc_html_e('Save','vcara'); ?></button>
							<p class="vcaa_successmsg"></p>
							<div class="vcautoresponderaddon_loading"></div>
						</div>
					</div>
					
				</div>
			</div>
			<!--constant contact tab end--->
			
			<div class="vcautoresponderaddon_tab_container" id="vcicontacttab" style="display: none;">
				<div class="vcautoresponderaddon_tabs_box">
					 
					<div class="vcautoresponderaddon_main_heading">
						<h2><?php esc_html_e('iContact','vcara'); ?> <span><?php esc_html_e('Developer API Setting','vcara'); ?></span></h2>
					</div>
					<div class="vcautoresponderaddon_right_section">
						<?php $vcicontact_apikey = get_option('vcicontact_apikey'); ?>
						<div class="vcautoresponderaddon_input_section">
							<label><?php esc_html_e('Username','vcara'); ?></label>
							<input type="text" name="vcicontact_username" id="vcicontact_username" placeholder="Username" value="<?php echo !empty($vcicontact_apikey['username']) ? esc_attr($vcicontact_apikey['username']) : ''; ?>"><span class="vcerror_span"></span>				
						</div>
						
						<div class="vcautoresponderaddon_input_section">
							<label><?php esc_html_e('App Id','vcara'); ?></label>
							<input type="text" name="vcicontact_appid" id="vcicontact_appid" placeholder="API Key" value="<?php echo !empty($vcicontact_apikey['appid']) ? esc_attr($vcicontact_apikey['appid']) : ''; ?>"> 
							<span class="vcerror_span"></span>
						</div>
						
						<div class="vcautoresponderaddon_input_section">
							<label><?php esc_html_e('App Password','vcara'); ?></label>
							<input type="password" name="vcicontact_apppassword" id="vcicontact_apppassword" placeholder="Password" value="<?php echo !empty($vcicontact_apikey['apppassword']) ? esc_attr($vcicontact_apikey['apppassword']) : ''; ?>"> 
							<span class="vcerror_span"></span>
						</div>
						
						<div class="vcautoresponderaddon_input_section">
							<span class="vcerror_span"></span>
							<button class="btn_submit" id="vcicontact_apikeysave"><?php esc_html_e('Save','vcara'); ?></button>
							<p class="vcaa_successmsg"></p>
							<div class="vcautoresponderaddon_loading"></div>
						</div>
					</div>
					
					
				</div>
			</div>
			
			<div class="vcautoresponderaddon_tab_container" id="vcsettingtab" style="display: none;">
				<div class="vcautoresponderaddon_tabs_box">
					
					<div class="vcautoresponderaddon_main_heading">
						<h2><?php esc_html_e('General Setting','vcara'); ?></h2>
					</div>
					<div class="vcautoresponderaddon_right_section">
						<div class="vcautoresponderaddon_input_section">
							<label><?php esc_html_e('Success Text Color','vcara'); ?></label>
							<?php $successtxtcolor = get_option('vcsuccessmsgcolor'); ?>
							<input type="text" name="vcsuccesstxt_color" id="vcsuccesstxt_color" value="<?php echo !empty($successtxtcolor) ? $successtxtcolor : '#89ef4a'; ?>">
						</div>
						<div class="vcautoresponderaddon_input_section">
							<label><?php esc_html_e('Success Message After Subscription','vcara'); ?></label>
							<?php $successtxt = get_option('vcsuccessmsgtxt'); ?>
							<input type="text" name="vcsuccessmsg_color" id="vcsuccessmsg_color" value="<?php echo !empty($successtxt) ? $successtxt : 'Thank you for subscription, please check your mail.'; ?>">
							<span class="vcerror_span"></span>
						</div>
						<div class="vcautoresponderaddon_input_section">
							<button class="btn_submit" id="vcgeneralsetting_save"><?php esc_html_e('save','vcara'); ?></button>
							<p class="vcaa_successmsg"></p>
							<div class="vcautoresponderaddon_loading"></div>
						</div>
						
					</div>
					
				</div>
			</div>
			
			
			
		</div>
	</div>
</div>
<div class="vcautoresponderaddon_clear"></div>
</div>