<style>
#wpbody-content > * {
	display: none;
}
#wpbody-content > .vcaa_main_container,
#wpbody-content > .clear {
	display: block;
}
#adminmenuwrap {
	z-index: 10000;
}
#vc_navbar {
	-webkit-box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.1);
	   -moz-box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.1);
			box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.1);
	padding-left: 160px;
	width: 100%;
	position: fixed;
	left: 0;
	top: 32px;
}
.vcaa_adminnotice {
    padding: 7px 0;
    color: green;
    font-weight: 600;
}
#vc_navbar .vc_save-backend {
	display: block;
}
#vc_navbar .vc_save-backend .vc_control-preview {
	display: none
}
#vc_navbar .vc_save-backend .vc_control-save {
	margin-left: 15px;
	margin-right: 15px;
}
.vcaa_main_container{
    float: left;
    width: 100%;
    margin-top: 80px;
}
.vcaa_main_container h1{
    text-align: center;
}
.vcaa_width_8{
    float: left;
    width: 71%;
    margin-top: 20px;
    background: #ffffff;
    padding: 10px;
    margin-right: 20px;
    border: 1px solid #e5e5e5;
    box-shadow: 0 1px 1px rgba(0,0,0,.04);
    background: #fff;
}
.vcaa_width_4{
    width: 21%;
    float: left;
    margin-top: 20px;
    background: #ffffff;
    padding: 10px;
    margin-right: 20px;
    border: 1px solid #e5e5e5;
    box-shadow: 0 1px 1px rgba(0,0,0,.04);
    background: #fff;
}
.vcca_sidebar_text{
	float: left;
	width: 100%;
}
.vcca_sidebar_text label{
	float: left;
	width: 100%;
	text-align: left;
	color: #000;
}
.vcca_sidebar_text select{
	float: left;
	width: 100%;	
	margin-bottom: 20px;
}
.vcaa_width_8 .vcaa_main_heading{
	float: left;
	width: 100%;
}
.vcaa_width_8 .vcaa_main_heading h2{
    margin: 0px 0px 10px;
    float: left;
    width: 100%;
    border-bottom: 1px solid #ccc;
    padding-bottom: 10px;
}
.vcca_input_text{
	float: left;
	width: 100%;
	margin: 0px  15px;	
}
.vcca_secondinput_text{
    float: left;
    width: 100%;
    margin: 0px 15px;
    text-align: center;	
}
.vcca_secondinput_text select{
	padding: 2px;
    line-height: 30px;
    height: 30px;
    margin: -3px 0px 0px;
}
.vcca_secondinput_text input[type="text"]{
    padding: 2px 5px;
    line-height: 30px;
    height: 30px;	
}
.vcca_input_text input[type="text"]{
	padding: 7px 10px;
    line-height: 20px;
    font-size: 16px;
    -webkit-box-shadow: 0 0 0 transparent;
    -moz-box-shadow: 0 0 0 transparent;
    box-shadow: 0 0 0 transparent;
    width: 96%;
}
.vcca_bottom_box{
	float: left;
	width: 96%;
	padding: 7px 10px;	
}
@media screen and (max-width: 960px) {
	#vc_navbar {
		padding-left: 36px;
	}
}
@media screen and (max-width: 782px) {
	#vc_navbar {
		padding-left: 0;
		top: 46px;
	}
}
#vc_no-content-helper > .icon,
#vc_no-content-helper > h5,
#vc_no-content-helper > h3,
#vc_no-content-helper > .vc_buttons .vc_add-element-button,
#vc_no-content-helper > .vc_buttons .vc_add-text-block-button,
#vc_no-content-helper > .vc_default-templates-separator,
#vc_no-content-helper > .vc_default-templates
{
	display: none;
}
#vc_no-content-helper > .vc_buttons .vc_add-element-not-empty-button
{
	display: inline-block;
	vertical-align: bottom;
}
#vc_no-content-helper > .vc_buttons {
	margin-top: 0px;
}
.bt_pull-right {
    float: left;
    width: 100%;
    margin-left: 25px;
}
</style>
<div class="vcaa_main_container">
	<h1><?php esc_html_e('WP Bakery Autoresponder Addon','vcara'); ?></h1>
	<div class="vcaa_width_8">
		<form id="post" name="post" method="post" action="">
			<!-- hidden fields -->
			<?php wp_nonce_field('vcaa_nonce_save'); ?>
			<input type="hidden" name="sidebar_id" value="<?php echo esc_attr($current_sidebar['id']); ?>">
			<input type="hidden" name="save" value="<?php echo 'vcaa_sidebar'; ?>">
			<input type="hidden" name="vcaa_sidebar" value="<?php echo esc_attr($current_sidebar['id']); ?>">
			<input type='hidden' id='post_ID' name='post_ID' value='<?php echo $post->ID ?>'>
			<div class="vcaa_adminnotice"><?php echo $message ? 'Update Successfully.' : ''; ?></div>
			<div class="vcaa_main_heading">
				<h2><?php 
				if(!empty($current_sidebar)){
				echo ucwords($current_sidebar['name']);
				}
				?></h2>
			</div>
			<p class=""><?php 
			if(!empty($current_sidebar)){ echo $current_sidebar['description']; }
			?></p>

							<!-- Sidebar title -->
							<div class="vcca_input_text">
								<input type="text" name="post_title" placeholder="Sidebar title" class="" value="<?php echo $post_title; ?>" autocomplete="off">
							</div>

							<!-- Hidden editor, used for dependency purposes -->
							<div style="display: none !important">
							<div style="display: none !important">
								<?php
								wp_editor( '', 'nothing_to_do_with_it', array(
									'quicktags' => false,
									'media_buttons' => false,
									'textarea_rows' => 1,
								))
								?>
							</div>
							</div>

							<!-- Classic wordpress editor -->
							<div id="postdivrich" style="display: block">
							<?php
								wp_editor( $post_content, 'content', array(
									'dfw' => true,
									'drag_drop_upload' => true,
									'tabfocus_elements' => 'insert-media-button,save-post',
									'editor_height' => 300,
									'tinymce' => array(
										'resize' => false,
										'wp_autoresize_on' => true,
										'add_unload_trigger' => false,
									),
								));
							?>
							
							</div>
			
			<div class="vcca_bottom_box">
    			<div id="wpb_wpbakery" style="display: none">
    				<?php
    					if( $this->enabled_vc_composer ) {
    						add_action('wpb_vc_js_status_filter', function() {
                            	return 'true';
                            });
    						$vc_manager->backendEditor()->renderEditor($post);
    					}
    				?>
    			</div>
			</div>
			
			<div class="vcca_secondinput_text">
				<select name="settings_formposition" class="bt_pullleft">
					<option value="before" <?php echo get_post_meta($post->ID,'settings_formposition',true) == 'before' ? 'selected="selected"' : '';?> >First Position Of Sidebar</option>
					<option value="after" <?php echo get_post_meta($post->ID,'settings_formposition',true) == 'after' ? 'selected="selected"' : '';?> >Last Position Of Sidebar</option>
					<option value="position" <?php echo get_post_meta($post->ID,'settings_formposition',true) == 'position' ? 'selected="selected"' : '';?> >Custom Position Of Sidebar</option>
					<option value="replace" <?php echo get_post_meta($post->ID,'settings_formposition',true) == 'replace' ? 'selected="selected"' : '';?>>Place In Your Sidebar</option>
				</select>
				<input type="text" name="settings_formposition_value" class="bt_pullleft" value="<?php echo get_post_meta($post->ID,'settings_formposition_value',true); ?>" placeholder="Custom Position">
			</div>
			
			
			<div class="bt_pull-right">
				<?php $text = $post->ID ? 'Update':'Create'; ?>
				<button type="submit" id="publish" name="action" value="save" class="button button-primary"><?php echo $text; ?></button>
			</div>
			
			
			
		</form>
	</div>
	<div class="vcaa_width_4">
		<form method="post" action="">
			<div class="vcca_sidebar_text">
				<label><?php esc_html_e('Select Sidebar','vcara'); ?></label>
				<select name="vcaa_sidebar">
				<?php
					foreach($wp_registered_sidebars as $k=>$v){
						echo '<option value="',$k,'"';
						if(isset($_POST['vcaa_sidebar']) && $k == $_POST['vcaa_sidebar']){
							echo ' selected ';
						}
						echo '>',$v['name'],'</option>';
					}			
				?>
				</select>
				<button class="button button-primary"><?php esc_html_e('Submit','vcara'); ?></button>
			</div>
		</form>
	</div>
</div>